"""
   This file:     enzcodes.py
   Last modified: September 2, 2010
   Package:       CurlySMILES Version 1.0.0
   Author:        Axel Drefahl
   E-mail:        axeleratio@yahoo.com
   Internet:      www.axeleratio.com/axel/axel.htm

   Class EnzymeCodes wraps short codes for enzymes with
   their associated scientific terms.
   To be used as entry in annotation dictionary: {AMenz=...}
   (for example, with operational annotation marker (OPAM):  AM = +Y )

   Copyright (C) 2010  Axel Drefahl

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA  02110-1301, USA.   
"""
class EnzymeCodes:

   def __init__(self,assignDict=1):      
      self.dict = None
      if assignDict == 1:
         self.initDict()      

   def getSciTerm(self,sAlias):
      if self.dict.has_key(sCode):
         return self.dict[sCode]
      else:
         return None

   def getDict(self):
      return self.dict

   def initDict(self):

      self.dict = {

         'SOD':     'superoxide dismutase',
         'TLL':     'Thermomyces Lanuginosa Lipase',
      }
"""
    Notice that this dictionary is growing with future
    CurlySMILES versions as new acronyms/short-notations
    are found in common use in publications regarding
    molecule-enzyme conjugates.
"""




